Name:           synce-gnomevfs
Version:        0.13
Release:        4%{?dist}
Summary:        Gnome-vfs module for synce

Group:          Applications/Communications
License:        MIT
URL:            http://synce.sourceforge.net/
Source0:        http://dl.sf.net/synce/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsynce-devel librapi-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  ORBit2-devel
BuildRequires:  glib2-devel
BuildRequires:  automake

Requires:       gnome-vfs2
Requires:       shared-mime-info

%description
This is a gnome-vfs module that enables access to the Windows CE or Pocket
PC file system through the gnome-vfs functions.

%prep
%setup -q

%build
%configure --disable-static --with-libsynce-include=%{_includedir} \
--with-libsynce-lib=%{_libdir} --with-librapi2-include=%{_includedir} \
--with-librapi2-lib=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.la
rm -f $RPM_BUILD_ROOT%{_libdir}/synce-trayicon/modules/gnomevfs-trayicon-module.la 

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :

%postun
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/synce-in-computer-folder
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/synce-module.conf
%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.so
%{_libdir}/synce-trayicon/modules/gnomevfs-trayicon-module.so
%{_datadir}/icons/hicolor/48x48/apps/synce-gnomevfs.png
%{_datadir}/synce/synce-in-computer-folder.sh
%{_mandir}/man1/*
%{_datadir}/mime/packages/*


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13-1
- version upgrade (#457949)

* Wed Jun 18 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11.1-1
- version upgrade

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11-2
- Autorebuild for GCC 4.3

* Wed Jan 09 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-1
- version upgrade

* Sun Dec 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.10.0-1
- version upgrade

* Tue Oct 30 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-6
- fix BR

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.0-5
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-4
- FE6 rebuild
- fix BR

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-3
- Rebuild for Fedora Extras 5

* Mon Dec 12 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-2
- add dist tag

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-1
- Initial Release
